commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Carman" <ja...@carmanconsulting.com>
Subject Re: [lang] 3.0 thoughts again
Date Thu, 15 Feb 2007 10:46:50 GMT
Since my project is JDK5, I'd love for the commons projects to start
moving to JDK5. :-)  I hate having to put in those @SuppressWarnings
annotations everywhere I use commons collections.

On 2/15/07, Henri Yandell <flamefew@gmail.com> wrote:
> So... I'd like to:
>
> * Move to JDK 1.5 as a minimum (generating class 49 jars to stop
> accidental usage on pre 1.5).
> * Remove deprecated code.
> * Look into other code to deprecate based on the move to JDK 1.5.
> * Create a CI site, as opposed to a user site.
> * Move to an m2 build (dropping ant/m1).
>
> Based on previous discussions, I'm presuming some of this will raise
> opinions. Does anyone mind if I start playing with the above on an
> experimental -3.0 branch (trunk would become 2.4-SNAPSHOT)?
>
> Hen
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: commons-dev-help@jakarta.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message